Package org.apache.ignite.internal.processors.cacheobject

## Class PlatformCacheObjectImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectAdapter
  - - org.apache.ignite.internal.processors.cache.CacheObjectImpl
    - - org.apache.ignite.internal.processors.cacheobject.PlatformCacheObjectImpl

All Implemented Interfaces:
  `Externalizable`, `Serializable`, `CacheObject`, `Message`

    public class PlatformCacheObjectImpl
    extends CacheObjectImpl

Wraps value provided by platform, must be transformed before stored in cache.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`HEAD_SIZE, val, valBytes`

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BINARY, TYPE_BINARY_ENUM, TYPE_BYTE_ARR, TYPE_REGULAR`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
`PlatformCacheObjectImpl()`
`PlatformCacheObjectImpl​(Object val, byte[] arr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheObject` `prepareForCache​(CacheObjectContext ctx)` Prepares cache object for cache (e.g. copies user-provided object if needed).

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectImpl

`directType, equals, finishUnmarshal, hashCode, isPlatformType, onAckReceived, prepareMarshal, value, value, valueBytes`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`cacheObjectType, fieldsCount, needCopy, objectPutSize, putValue, putValue, putValue, putValue, putValue, putValue, readExternal, readFrom, toString, valueBytesFromValue, valueBytesLength, valueFromValueBytes, writeExternal, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformCacheObjectImpl

    public PlatformCacheObjectImpl()

#### PlatformCacheObjectImpl

    public PlatformCacheObjectImpl​(Object val,
                                   byte[] arr)

Parameters:
  `val` - Value.
  `arr` - Value bytes.

### Method Detail

#### prepareForCache

    public CacheObject prepareForCache​(CacheObjectContext ctx)

Prepares cache object for cache (e.g. copies user-provided object if needed).

Specified by:
  `prepareForCache` in interface `CacheObject`
Overrides:
  `prepareForCache` in class `CacheObjectImpl`
Parameters:
  `ctx` - Cache context.
Returns:
  Instance to store in cache.